Bug 1024487 - invisible mouse pointer
invisible mouse pointer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-modesetting (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 14:50 EDT by Bill Nottingham
Modified: 2014-03-16 23:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: xorg-x11-drv-modesetting-0.8.0-13.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1025444 (view as bug list)
Environment:
Last Closed: 2014-03-04 12:05:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-10-29 14:50:47 EDT
Description of problem:

RHEL 7 nightly VM, installed via virt-install.

When viewed with virt-viewer, or virt-manager (F19), the mouse pointer is invisible in gnome-initial-setup. Keynav is also wonky - to get to the point where you can tab between options, requires some mouse focus/clicking first. (on the language screen).

This makes progressing through initial setup a pain.

Also, the keynavs for switching workspaces works during initial setup. They probably shouldn't be enabled.

Version-Release number of selected component (if applicable):

20131029 nightly
Comment 2 Adam Jackson 2013-10-29 15:25:37 EDT
What's the GPU in the vm?
Comment 3 Bill Nottingham 2013-10-29 16:02:59 EDT
Cirrus + VNC. Stupid virt-install.
Comment 4 Bastien Nocera 2013-10-31 13:05:47 EDT
(In reply to Adam Jackson from comment #2)
> What's the GPU in the vm?

This is likely a problem with XSync, rather than the GPU. See what Peter makes of it.
Comment 5 Bill Nottingham 2013-10-31 13:53:43 EDT
(keynav issue from comment #1 cloned into a separate initial-setup bug)
Comment 6 Peter Hutterer 2014-02-17 22:59:00 EST
All the XSync bugs on the server side were fixed with the 1.15 rebase. If this is still an issue then the most likely cause is any bits in the gnome stack, see Bug 1008965. Bastien, did you port all those over to RHEL7?
Comment 7 Peter Hutterer 2014-03-03 20:38:50 EST
Fixed in xorg-x11-drv-modesetting-0.8.0-13.el7

Note You need to log in before you can comment on or make changes to this bug.